<?php

# Logo
$pdf->Image(ROOTDIR.'/images/logo.jpg',20,15);

$pdf->Ln(15);

# Header Bar
$invoiceprefix = $_LANG["invoicenumber"];
/*
** This code should be uncommented for EU companies using the sequential invoice numbering so that when unpaid it is shown as a proforma invoice **
if ($status!="Paid") {
	$invoiceprefix = $_LANG["proformainvoicenumber"];
}
*/
$pdf->SetFont('freesans','B',15);
$pdf->SetFillColor(239);
$pdf->Cell(0,8,$invoiceprefix.$invoicenum,0,1,'L','1');
$pdf->SetFont('freesans','',10);
$pdf->Cell(0,6,$_LANG["invoicesdatecreated"].': '.$datecreated.'',0,1,'L','1');
$pdf->Cell(0,6,$_LANG["invoicesdatedue"].': '.$duedate.'',0,1,'L','1');
$pdf->Ln(5);

$startpage = $pdf->GetPage();

# Client & Pay To Details

$company = $clientsdetails["companyname"];
if ($company) $company = ' ('.$company.')';
$ci=0;

$pdf->SetDrawColor(200);
$pdf->SetFont('freesans','B',10);
$pdf->Cell(88,4,$_LANG["invoicesinvoicedto"],'LTR');
$pdf->Cell(4,4,'');
$pdf->Cell(88,4,$_LANG["invoicespayto"],'LTR');
$pdf->Ln();
$pdf->SetFont('freesans','',9);
$pdf->Cell(88,4,$clientsdetails["firstname"]." ".$clientsdetails["lastname"].$company,'LR');
$pdf->Cell(4,4,'');
$pdf->Cell(88,4,$companyaddress[$ci],'LR');$ci++;
$pdf->Ln();
$pdf->Cell(88,4,$clientsdetails["address1"],'LR');
$pdf->Cell(4,4,'');
$pdf->Cell(88,4,$companyaddress[$ci],'LR');$ci++;
$pdf->Ln();
if ($clientsdetails["address2"]) {
    $pdf->Cell(88,4,$clientsdetails["address2"],'LR');
    $pdf->Cell(4,4,'');
    $pdf->Cell(88,4,$companyaddress[$ci],'LR');$ci++;
    $pdf->Ln();
}
$pdf->Cell(88,4,$clientsdetails["city"].", ".$clientsdetails["state"].", ".$clientsdetails["postcode"],'LR');
$pdf->Cell(4,4,'');
$pdf->Cell(88,4,$companyaddress[$ci],'LR');$ci++;
$pdf->Ln();
$pdf->Cell(88,4,$clientsdetails["country"],'LR');
$pdf->Cell(4,4,'');
$pdf->Cell(88,4,$companyaddress[$ci],'LR');$ci++;
$pdf->Ln();
if ($customfields) {
    foreach ($customfields AS $customfield) {
        $pdf->Cell(88,4,$customfield['fieldname'].': '.$customfield['value'],'LR');
        $pdf->Cell(4,4,'');
        $pdf->Cell(88,4,$companyaddress[$ci],'LR');$ci++;
        $pdf->Ln();
    }
}
$pdf->Cell(88,4,'','LRB');
$pdf->Cell(4,4,'');
$pdf->Cell(88,4,'','LRB');
$pdf->Ln();

$pdf->Ln(5);

$pdf->SetFont('freesans','B',10);
$pdf->SetFillColor(239);
$pdf->Cell(140,7,$_LANG["invoicesdescription"],1,0,'C','1');
$pdf->Cell(40,7,$_LANG["invoicesamount"],1,0,'C','1');
$pdf->Ln();

$pdf->SetFont('freesans','',10);

foreach ($invoiceitems AS $item) {

	$rowcount = $pdf->getNumLines($item['description'], 140);

	$pdf->MultiCell(140,$rowcount * 5,$item['description'],1,'L',0,0);
	$pdf->MultiCell(40,$rowcount * 5,$item['amount'],1,'C',0,0);

	$pdf->Ln();
}

$pdf->SetFont('freesans','B',10);

$pdf->Cell(140,7,$_LANG["invoicessubtotal"],1,0,'R','1');
$pdf->Cell(40,7,$subtotal,1,0,'C','1');
$pdf->Ln();

if ($taxname) {
	$pdf->Cell(140,7,$taxrate."% ".$taxname,1,0,'R','1');
	$pdf->Cell(40,7,$tax,1,0,'C','1');
	$pdf->Ln();
}

if ($taxname2) {
	$pdf->Cell(140,7,$taxrate2."% ".$taxname2,1,0,'R','1');
	$pdf->Cell(40,7,$tax2,1,0,'C','1');
	$pdf->Ln();
}

$pdf->Cell(140,7,$_LANG["invoicescredit"],1,0,'R','1');
$pdf->Cell(40,7,$credit,1,0,'C','1');
$pdf->Ln();

$pdf->Cell(140,7,$_LANG["invoicestotal"],1,0,'R','1');
$pdf->Cell(40,7,$total,1,0,'C','1');
$pdf->Ln();

$pdf->Ln(5);

$pdf->SetFont('freesans','B',12);
$pdf->Cell(0,4,$_LANG["invoicestransactions"],0,1);

$pdf->Ln(5);

$pdf->SetDrawColor(200);

$pdf->SetFont('freesans','B',10);
$pdf->SetFillColor(239);
$pdf->Cell(40,6,$_LANG["invoicestransdate"],1,0,'C','1');
$pdf->Cell(50,6,$_LANG["invoicestransgateway"],1,0,'C','1');
$pdf->Cell(50,6,$_LANG["invoicestransid"],1,0,'C','1');
$pdf->Cell(40,6,$_LANG["invoicestransamount"],1,0,'C','1');
$pdf->Ln();

$pdf->SetFont('freesans','',10);

if (!count($transactions)) {

    $pdf->Cell(180,6,$_LANG["invoicestransnonefound"],1,0,'C');
    $pdf->Ln();

} else {

    foreach ($transactions AS $trans) {

        $pdf->Cell(40,6,$trans['date'],1,0,'C');
        $pdf->Cell(50,6,$trans['gateway'],1,0,'C');
        $pdf->Cell(50,6,$trans['transid'],1,0,'C');
        $pdf->Cell(40,6,$trans['amount'],1,0,'C');
        $pdf->Ln();

    }

}

$pdf->SetFont('freesans','B',10);
$pdf->SetFillColor(239);
$pdf->Cell(40,6,'',1,0,'C','1');
$pdf->Cell(50,6,'',1,0,'C','1');
$pdf->Cell(50,6,$_LANG["invoicesbalance"],1,0,'C','1');
$pdf->Cell(40,6,$balance,1,0,'C','1');

$pdf->Ln(5);

if ($notes) {
	$pdf->SetFont('freesans','',8);
	$pdf->MultiCell(170,5,$_LANG["invoicesnotes"].": $notes");
}

$pdf->SetFont('freesans','',8);
$pdf->Ln(5);
$pdf->Cell(180,4,"PDF Generated on ".getTodaysDate(),'','','C');

$endpage = $pdf->GetPage();

$pdf->setPage($startpage);
$pdf->SetXY(90,15);
if ($status=="Cancelled") {
	$statustext = $_LANG["invoicescancelled"];
    $pdf->SetTextColor(245,245,245);
} elseif ($status=="Unpaid") {
	$statustext = $_LANG["invoicesunpaid"];
    $pdf->SetTextColor(204,0,0);
} elseif ($status=="Paid") {
	$statustext = $_LANG["invoicespaid"];
    $pdf->SetTextColor(153,204,0);
} elseif ($status=="Refunded") {
	$statustext = $_LANG["invoicesrefunded"];
    $pdf->SetTextColor(34,68,136);
} elseif ($status=="Collections") {
	$statustext = $_LANG["invoicescollections"];
    $pdf->SetTextColor(255,204,0);
}
$pdf->SetFont('freesans','B',20);
$pdf->Cell(110,20,strtoupper($statustext),0,0,'C');
$pdf->setPage($endpage);

?>
